## org.gnu.gdk
Class WindowHints

    java.lang.Object
      org.gnu.glib.Flags
          org.gnu.gdk.WindowHints

public class WindowHints
extends Flags

Field Summary
`static WindowHints` `ASPECG`
`static WindowHints` `BASE_SIZE`
`static WindowHints` `MAX_SIZE`
`static WindowHints` `MIN_SIZE`
`static WindowHints` `POS`
`static WindowHints` `RESIZE_INC`
`static WindowHints` `USER_POS`
`static WindowHints` `USER_SIZE`
`static WindowHints` `WIN_GRAVITY`

Fields inherited from class org.gnu.glib.Flags
`value_`

Method Summary
`WindowHints` `and(WindowHints other)`
`static WindowHints` `intern(int value)`
`WindowHints` `or(WindowHints other)`
`boolean` `test(WindowHints other)`
`WindowHints` `xor(WindowHints other)`

Methods inherited from class org.gnu.glib.Flags
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### POS

    public static final WindowHints POS

### MIN_SIZE

    public static final WindowHints MIN_SIZE

### MAX_SIZE

    public static final WindowHints MAX_SIZE

### BASE_SIZE

    public static final WindowHints BASE_SIZE

### ASPECG

    public static final WindowHints ASPECG

### RESIZE_INC

    public static final WindowHints RESIZE_INC

### WIN_GRAVITY

    public static final WindowHints WIN_GRAVITY

### USER_POS

    public static final WindowHints USER_POS

### USER_SIZE

    public static final WindowHints USER_SIZE

Method Detail

### intern

    public static WindowHints intern(int value)

### or

    public WindowHints or(WindowHints other)

### and

    public WindowHints and(WindowHints other)

### xor

    public WindowHints xor(WindowHints other)

### test

    public boolean test(WindowHints other)